# Social Networks Data Analytics (SoNeDa)

[![PyPI](https://img.shields.io/pypi/v/SoNeDa.svg)][pypi_]
[![Status](https://img.shields.io/pypi/status/SoNeDa.svg)][status]
[![Python Version](https://img.shields.io/pypi/pyversions/SoNeDa)][python version]
[![License](https://img.shields.io/pypi/l/SoNeDa)][license]

[![Read the documentation at https://SoNeDa.readthedocs.io/](https://img.shields.io/readthedocs/SoNeDa/latest.svg?label=Read%20the%20Docs)][read the docs]
[![Tests](https://github.com/eLearningHub/SoNeDa/workflows/Tests/badge.svg)][tests]
[![Codecov](https://codecov.io/gh/eLearningHub/SoNeDa/branch/main/graph/badge.svg)][codecov]

[![pre-commit](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white)][pre-commit]
[![Black](https://img.shields.io/badge/code%20style-black-000000.svg)][black]

[pypi_]: https://pypi.org/project/SoNeDa/
[status]: https://pypi.org/project/SoNeDa/
[python version]: https://pypi.org/project/SoNeDa
[read the docs]: https://SoNeDa.readthedocs.io/
[tests]: https://github.com/eLearningHub/SoNeDa/actions?workflow=Tests
[codecov]: https://app.codecov.io/gh/eLearningHub/SoNeDa
[pre-commit]: https://github.com/pre-commit/pre-commit
[black]: https://github.com/psf/black

## Features

### Commands

- `SoNeDa twitter config`: Store Twitter API credentials
- `SoNeDa twitter tweets`: Tweets lookup

## Requirements

- TODO

## Installation

You can install _Social networks cli_ via [pip] from [PyPI]:https://github.com/CruiseDevice/twweet-cli

```console
$ pip install SoNeDa
```

## Usage

Please see the [Command-line Reference] for details.https://github.com/CruiseDevice/twweet-cli

## Contributing

Contributions are very welcome.
To learn more, see the [Contributor Guide].

## License

Distributed under the terms of the [MIT license][license],
_Social networks cli_ is free and open source software.

## Issues

If you encounter any problems,
please [file an issue] along with a detailed description.

## Credits

This project was generated from [@cjolowicz]'s [Hypermodern Python Cookiecutter] template.

[@cjolowicz]: https://github.com/cjolowicz
[pypi]: https://pypi.org/
[hypermodern python cookiecutter]: https://github.com/cjolowicz/cookiecutter-hypermodern-python
[file an issue]: https://github.com/eLearningHub/SoNeDa/issues
[pip]: https://pip.pypa.io/

<!-- github-only -->

[license]: https://github.com/eLearningHub/SoNeDa/blob/main/LICENSE
[contributor guide]: https://github.com/eLearningHub/SoNeDa/blob/main/CONTRIBUTING.md
[command-line reference]: https://SoNeDa.readthedocs.io/en/latest/usage.html
https://github.com/CruiseDevice/twweet-cli

## References

* [twurl](https://github.com/twitter/twurl)
* [twweet-cli](https://github.com/CruiseDevice/twweet-cli)
* [t](https://github.com/sferik/t)
* [rainbowstream](https://github.com/orakaro/rainbowstream)
* [Cookiecutter hypermodern: quick start](https://cookiecutter-hypermodern-python.readthedocs.io/en/2022.6.3.post1/quickstart.html)
* [networkx-tutorial](https://github.com/sarguido/networkx-tutorial)
* [Creation of a Tweet](https://oauth-playground.glitch.me/?id=createTweet)
* [Twitter graph visualization](https://github.com/JohnCoogan/twitter-graph-visualization)
* [Fake News Detection through Ego Network Analysis](https://github.com/briansrebrenik/Final_Project)
* [Social Network Analysis - From Graph Theory to Applications - Dima Goldenberg](https://youtu.be/px7ff2_Jeqw)
* [Introduction to Social Network Analysis](https://www.youtube.com/watch?v=IiUDKDxScxI)
* [A gentle introduction to network science: Dr Renaud Lambiotte, University of Oxford](https://youtu.be/L6CqqlILBCI)
* [Social Network Analysis](https://youtu.be/ZeFK9gUGNjc)
* [pyflycli](https://github.com/k-zehnder/pyflycli)

### Twitter

* [Tools and libraries](https://developer.twitter.com/en/docs/twitter-api/tools-and-libraries/v2)
* [Creating a Twitter bot with Python, OAuth 2.0, and v2 of the Twitter API](https://developer.twitter.com/en/docs/tutorials/creating-a-twitter-bot-with-python--oauth-2-0--and-v2-of-the-twi)
* [Twitter API v2 data dictionary](https://developer.twitter.com/en/docs/twitter-api/data-dictionary/introduction)
* [Python Twitter Search API](https://github.com/twitterdev/search-tweets-python)
* [Twitter API v2 sample code](https://github.com/twitterdev/Twitter-API-v2-sample-code)

### Python libraries

* tweepy: Twitter for Python
* [twarc2](https://twarc-project.readthedocs.io/en/latest/twarc2_en_us/)
* python-twitter: a simple Python wrapper for Twitter API v2
* TwitterAPI: minimal Python wrapper for Twitter's APIs
* twitterati: Wrapper for Twitter Developer API V2
* twitter-stream.py: a Python API client for Twitter API v2
* twitivity: Account Activity API client library for Python
* PyTweet: a synchronous Python wrapper for the Twitter API
* tweetkit: a Python Client for the Twitter API for Academic Research
* tweetple: a wrapper to stream information from the Full-Archive Search Endpoint, for Academic Research
* 2wttr: get Tweets from the v2 Twitter API, for Academic Research

### Postman

* [Postpy2](https://pypi.org/project/postpy2/)
* [postpython](https://github.com/k3rn3l-p4n1c/postpython)
* [newman](https://github.com/postmanlabs/newman)
* [postman-code-generators](https://github.com/postmanlabs/postman-code-generators)
* [curlx](https://github.com/shivkanthb/curlx)
* [API-Flow](https://github.com/luckymarmot/API-Flow)
* [flask2postman](https://github.com/numberly/flask2postman)
* [postman-twitter-api](https://github.com/twitterdev/postman-twitter-api)

### Code generation

* [QuickType](https://quicktype.io/)

### PowerShell

* BluebirdPS a Twitter Automation Client for PowerShell 7. Tweet, Retweet, send Direct Messages, manage lists, and more

### Oauth 2

* [requests-oauthlib](https://requests-oauthlib.readthedocs.io/en/latest/index.html)

### REST API

* [Python API wrappers](https://github.com/realpython/list-of-python-api-wrappers)
* [First API example](https://github.com/scott2b/api-first-example)
* [Python JSON REST API wrapper library: a How-To in 15 simple steps](https://www.pretzellogix.net/2021/12/08/how-to-write-a-python3-sdk-library-module-for-a-json-rest-api/)

### Tests

* [karate](https://github.com/karatelabs/karate)

### Organizations

* [DocNow](http://www.docnow.io/)
