# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['soneda', 'soneda.twitter']

package_data = \
{'': ['*']}

install_requires = \
['click>=8.0.1']

entry_points = \
{'console_scripts': ['soneda = soneda.__main__:app']}

setup_kwargs = {
    'name': 'soneda',
    'version': '0.0.0',
    'description': 'Social Networks Data Analytics',
    'long_description': "# Social Networks Data Analytics (SoNeDa)\n\n[![PyPI](https://img.shields.io/pypi/v/SoNeDa.svg)][pypi_]\n[![Status](https://img.shields.io/pypi/status/SoNeDa.svg)][status]\n[![Python Version](https://img.shields.io/pypi/pyversions/SoNeDa)][python version]\n[![License](https://img.shields.io/pypi/l/SoNeDa)][license]\n\n[![Read the documentation at https://SoNeDa.readthedocs.io/](https://img.shields.io/readthedocs/SoNeDa/latest.svg?label=Read%20the%20Docs)][read the docs]\n[![Tests](https://github.com/eLearningHub/SoNeDa/workflows/Tests/badge.svg)][tests]\n[![Codecov](https://codecov.io/gh/eLearningHub/SoNeDa/branch/main/graph/badge.svg)][codecov]\n\n[![pre-commit](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white)][pre-commit]\n[![Black](https://img.shields.io/badge/code%20style-black-000000.svg)][black]\n\n[pypi_]: https://pypi.org/project/SoNeDa/\n[status]: https://pypi.org/project/SoNeDa/\n[python version]: https://pypi.org/project/SoNeDa\n[read the docs]: https://SoNeDa.readthedocs.io/\n[tests]: https://github.com/eLearningHub/SoNeDa/actions?workflow=Tests\n[codecov]: https://app.codecov.io/gh/eLearningHub/SoNeDa\n[pre-commit]: https://github.com/pre-commit/pre-commit\n[black]: https://github.com/psf/black\n\n## Features\n\n### Commands\n\n- `SoNeDa twitter config`: Store Twitter API credentials\n- `SoNeDa twitter tweets`: Tweets lookup\n\n## Requirements\n\n- TODO\n\n## Installation\n\nYou can install _Social networks cli_ via [pip] from [PyPI]:https://github.com/CruiseDevice/twweet-cli\n\n```console\n$ pip install SoNeDa\n```\n\n## Usage\n\nPlease see the [Command-line Reference] for details.https://github.com/CruiseDevice/twweet-cli\n\n## Contributing\n\nContributions are very welcome.\nTo learn more, see the [Contributor Guide].\n\n## License\n\nDistributed under the terms of the [MIT license][license],\n_Social networks cli_ is free and open source software.\n\n## Issues\n\nIf you encounter any problems,\nplease [file an issue] along with a detailed description.\n\n## Credits\n\nThis project was generated from [@cjolowicz]'s [Hypermodern Python Cookiecutter] template.\n\n[@cjolowicz]: https://github.com/cjolowicz\n[pypi]: https://pypi.org/\n[hypermodern python cookiecutter]: https://github.com/cjolowicz/cookiecutter-hypermodern-python\n[file an issue]: https://github.com/eLearningHub/SoNeDa/issues\n[pip]: https://pip.pypa.io/\n\n<!-- github-only -->\n\n[license]: https://github.com/eLearningHub/SoNeDa/blob/main/LICENSE\n[contributor guide]: https://github.com/eLearningHub/SoNeDa/blob/main/CONTRIBUTING.md\n[command-line reference]: https://SoNeDa.readthedocs.io/en/latest/usage.html\nhttps://github.com/CruiseDevice/twweet-cli\n\n## References\n\n* [twurl](https://github.com/twitter/twurl)\n* [twweet-cli](https://github.com/CruiseDevice/twweet-cli)\n* [t](https://github.com/sferik/t)\n* [rainbowstream](https://github.com/orakaro/rainbowstream)\n* [Cookiecutter hypermodern: quick start](https://cookiecutter-hypermodern-python.readthedocs.io/en/2022.6.3.post1/quickstart.html)\n* [networkx-tutorial](https://github.com/sarguido/networkx-tutorial)\n* [Creation of a Tweet](https://oauth-playground.glitch.me/?id=createTweet)\n* [Twitter graph visualization](https://github.com/JohnCoogan/twitter-graph-visualization)\n* [Fake News Detection through Ego Network Analysis](https://github.com/briansrebrenik/Final_Project)\n* [Social Network Analysis - From Graph Theory to Applications - Dima Goldenberg](https://youtu.be/px7ff2_Jeqw)\n* [Introduction to Social Network Analysis](https://www.youtube.com/watch?v=IiUDKDxScxI)\n* [A gentle introduction to network science: Dr Renaud Lambiotte, University of Oxford](https://youtu.be/L6CqqlILBCI)\n* [Social Network Analysis](https://youtu.be/ZeFK9gUGNjc)\n* [pyflycli](https://github.com/k-zehnder/pyflycli)\n\n### Twitter\n\n* [Tools and libraries](https://developer.twitter.com/en/docs/twitter-api/tools-and-libraries/v2)\n* [Creating a Twitter bot with Python, OAuth 2.0, and v2 of the Twitter API](https://developer.twitter.com/en/docs/tutorials/creating-a-twitter-bot-with-python--oauth-2-0--and-v2-of-the-twi)\n* [Twitter API v2 data dictionary](https://developer.twitter.com/en/docs/twitter-api/data-dictionary/introduction)\n* [Python Twitter Search API](https://github.com/twitterdev/search-tweets-python)\n* [Twitter API v2 sample code](https://github.com/twitterdev/Twitter-API-v2-sample-code)\n\n### Python libraries\n\n* tweepy:\xa0Twitter for Python\n* [twarc2](https://twarc-project.readthedocs.io/en/latest/twarc2_en_us/)\n* python-twitter:\xa0a simple Python wrapper for Twitter API v2\n* TwitterAPI:\xa0minimal Python wrapper for Twitter's APIs\n* twitterati:\xa0Wrapper for Twitter Developer API V2\n* twitter-stream.py:\xa0a Python API client for Twitter API v2\n* twitivity:\xa0Account Activity API client library for Python\n* PyTweet:\xa0a synchronous Python wrapper for the Twitter API\n* tweetkit:\xa0a Python Client for the Twitter API for Academic Research\n* tweetple:\xa0a wrapper to stream information from the Full-Archive Search Endpoint, for Academic Research\n* 2wttr:\xa0get Tweets from the v2 Twitter API, for Academic Research\n\n### Postman\n\n* [Postpy2](https://pypi.org/project/postpy2/)\n* [postpython](https://github.com/k3rn3l-p4n1c/postpython)\n* [newman](https://github.com/postmanlabs/newman)\n* [postman-code-generators](https://github.com/postmanlabs/postman-code-generators)\n* [curlx](https://github.com/shivkanthb/curlx)\n* [API-Flow](https://github.com/luckymarmot/API-Flow)\n* [flask2postman](https://github.com/numberly/flask2postman)\n* [postman-twitter-api](https://github.com/twitterdev/postman-twitter-api)\n\n### Code generation\n\n* [QuickType](https://quicktype.io/)\n\n### PowerShell\n\n* BluebirdPS\xa0a Twitter Automation Client for PowerShell 7. Tweet, Retweet, send Direct Messages, manage lists, and more\n\n### Oauth 2\n\n* [requests-oauthlib](https://requests-oauthlib.readthedocs.io/en/latest/index.html)\n\n### REST API\n\n* [Python API wrappers](https://github.com/realpython/list-of-python-api-wrappers)\n* [First API example](https://github.com/scott2b/api-first-example)\n* [Python JSON REST API wrapper library: a How-To in 15 simple steps](https://www.pretzellogix.net/2021/12/08/how-to-write-a-python3-sdk-library-module-for-a-json-rest-api/)\n\n### Tests\n\n* [karate](https://github.com/karatelabs/karate)\n\n### Organizations\n\n* [DocNow](http://www.docnow.io/)\n",
    'author': 'Behzad Samadi',
    'author_email': 'behzad@mechatronics3d.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/eLearningHub/SoNeDa',
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
